Package org.opensaml.profile.criterion

# Class ProfileIDCriterion

java.lang.Object
org.opensaml.profile.criterion.ProfileIDCriterion

All Implemented Interfaces:
  `Criterion`

public final class ProfileIDCriterion extends Object implements Criterion
`Criterion` representing a profile ID.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`id`
The profile ID.

## Constructor Summary

Constructors
Constructor
Description
`ProfileIDCriterion(String profileId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getProfileId()`
Gets the profile ID.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

@Nonnull @NotEmpty private final String id
The profile ID.

## Constructor Details

### ProfileIDCriterion

public ProfileIDCriterion(@Nonnull @NotEmpty String profileId)
Constructor.

Parameters:
  `profileId` - the profile ID, can not be null or empty

## Method Details

### getProfileId

@Nonnull @NotEmpty public String getProfileId()
Gets the profile ID.

Returns:
  the profile ID, never null or empty

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`